Skip to content
Start here

Get an Access policy test users page

client.zeroTrust.access.applications.policyTests.users.list(stringpolicyTestId, UserListParams { account_id, page, per_page, status } params, RequestOptionsoptions?): V4PagePaginationArray<UserListResponse { id, email, name, status } >
GET/accounts/{account_id}/access/policy-tests/{policy_test_id}/users

Fetches a single page of user results from an Access policy test.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Access: Policy Test WriteAccess: Policy Test Read
ParametersExpand Collapse
policyTestId: string

The UUID of the policy test.

maxLength64
params: UserListParams { account_id, page, per_page, status }
account_id: string

Path param: Identifier.

maxLength32
page?: number

Query param: Page number of results.

per_page?: number

Query param

status?: "success" | "fail" | "error"

Query param: Filter users by their policy evaluation status.

One of the following:
"success"
"fail"
"error"
ReturnsExpand Collapse
UserListResponse { id, email, name, status }
id?: string

UUID.

maxLength36
email?: string

The email of the user.

formatemail
name?: string

The name of the user.

status?: "approved" | "blocked" | "error"

Policy evaluation result for an individual user.

One of the following:
"approved"
"blocked"
"error"

Get an Access policy test users page

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const userListResponse of client.zeroTrust.access.applications.policyTests.users.list(
  'f1a8b3c9d4e5f6789a0b1c2d3e4f5678a9b0c1d2e3f4a5b67890c1d2e3f4b5a6',
  { account_id: '023e105f4ecef8ad9ca31a8372d0c353' },
)) {
  console.log(userListResponse.id);
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
      "email": "jdoe@example.com",
      "name": "Jane Doe",
      "status": "approved"
    }
  ]
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
      "email": "jdoe@example.com",
      "name": "Jane Doe",
      "status": "approved"
    }
  ]
}